Issues bootstrapping due to encoding error


(Nilesh Patil) #1

Is this plugin working fine?
I’m getting BOOTSTRAP Error while installing this plugin.
I pasted

– git clone https://github.com/discourse/discourse-sitemap.git

in app.yml.

Other plugins are installing properly only getting error with this sitemap plugin.

Any solution?


Discourse Sitemap Plugin
(Sam Saffron) #2

What does the error say. Scroll up.


(Nilesh Patil) #3

/pups/lib/pups/cli.rb:15:in split': invalid byte sequence in US-ASCII (ArgumentError) from /pups/lib/pups/cli.rb:15:inrun’
from /pups/bin/pups:8:in `’
ea8fcc7c3335a445cba1cda814b01ad1b3027d16a29788e13c0899c7c4f9c056


(Sam Saffron) #4

Something is messed up in your app.yml file, you can try iconv to fix it or something like that.

No idea how you made this happen.


(Nilesh Patil) #5

But other plugins I installed successfully. Only getting the problem with the sitemap plugin.:worried:


(Sam Saffron) #6

You probably corrupted your text file when you pasted the line in.